/*
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
*/

#include <SandS.h>
#include <Wire.h>
#include <EEPROM.h>
#include <SoftwareSerial.h>

void setup() {
  SerialUI.begin(9600);
  Serial.begin(9600);
  SerialPort.begin(9600, SERIAL_8N1, SERIAL_RS232);
}

void loop() {
  while(SerialUI.available()) {
    Serial.write(SerialUI.read());
  } 
  while(Serial.available()) {
    SerialUI.write(Serial.read());
  } 
  SerialPort.print('Hello');
  delay(10);
  SerialPort.begin(9600, SERIAL_8N1, SERIAL_RS232);
  delay(10);
  static boolean toggler;
  SerialPort.setRTS(toggler);
  toggler = !toggler;
  delay(10);
}
